import 'package:ambito/src/entity/base_entity.dart';
import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

part 'measure_months.g.dart';

@collection
@JsonSerializable(explicitToJson: true)
class MeasureMonths extends BaseEntity with EntityWithId {
  MeasureMonths();

  String? name;
  List<bool>? maintenanceList = [
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false
  ];
  List<bool>? applyList = [
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false,
    false
  ];

  factory MeasureMonths.fromJson(Map<String, dynamic> json) =>
      _$MeasureMonthsFromJson(json);

  Map<String, dynamic> toJson() => _$MeasureMonthsToJson(this);
}
