import 'package:ambito/src/entity/base_entity.dart';
import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

import '../_general/id_value/id_value.dart';

part 'cart.g.dart';

@JsonSerializable(explicitToJson: true)
@collection
class Cart extends BaseEntity with EntityWithId {
  Cart();

  @JsonKey(name: 'field_3106992')
  String? name;
  @JsonKey(name: 'field_3106997')
  List<IdValue>? business;
  @JsonKey(includeFromJson: false, includeToJson: false)
  double? price;

  factory Cart.fromJson(Map<String, dynamic> json) => _$CartFromJson(json);

  Map<String, dynamic> toJson() => _$CartToJson(this);
}
